#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		skanlite
Version: 23.04.1
Release:	%mkrel %{rel}
Summary:        An image scanning application
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://apps.kde.org/skanlite/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5Sane)
BuildRequires:	cmake(KF5TextWidgets)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

BuildRequires:	cmake(KSaneCore)
BuildRequires:	pkgconfig(libpng)

Recommends:	%{name}-handbook
Provides:	scanner-gui

%description
Skanlite is an image scanning application that does nothing more than
scan and save images. It is based on libksane, a KDE interface for SANE
library to control flat scanners.

%files -f %{name}.lang
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_iconsdir}/hicolor/*/apps/org.kde.%{name}.svg

#------------------------------------------------

%package	handbook
Summary:	Skanlite Handbook
Group:		Documentation
BuildArch:	noarch

%description	handbook
This package provides Skanlite handbook.

%files handbook
%{_kf5_docdir}/HTML/*/%{name}/

#------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{name}


%changelog
* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958296
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946608
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941901
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1923023
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911517
- New version 22.11.90

* Thu Nov 24 2022 ghibo <ghibo> 22.08.3-2.mga9
+ Revision: 1910738
- Rebuild against latest KF5Sane

* Sun Nov 13 2022 daviddavid <daviddavid> 22.08.3-1.mga9
+ Revision: 1906920
- New version: 22.08.1 (says hello skanlite to release-service stack)
+ neoclust <neoclust>
- New version 22.08.3

* Wed Apr 06 2022 umeabot <umeabot> 2.2.0-3.mga9
+ Revision: 1846069
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 2.2.0-2.mga9
+ Revision: 1659856
- Rebuild for new Qt5

* Mon Jul 13 2020 daviddavid <daviddavid> 2.2.0-1.mga8
+ Revision: 1605739
- new version: 2.2.0

* Thu May 28 2020 daviddavid <daviddavid> 2.1.0.1-5.mga8
+ Revision: 1588528
- switch appdata file to kf5_metainfo dir

* Sat Feb 15 2020 umeabot <umeabot> 2.1.0.1-4.mga8
+ Revision: 1525043
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Apr 02 2019 umeabot <umeabot> 2.1.0.1-3.mga7
+ Revision: 1384841
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.1.0.1-2.mga7
+ Revision: 1301054
- Mageia 7 Mass Rebuild

* Mon Apr 02 2018 daviddavid <daviddavid> 2.1.0.1-1.mga7
+ Revision: 1214573
- new version: 2.1.0.1

* Sun Nov 13 2016 daviddavid <daviddavid> 2.0.1-1.mga6
+ Revision: 1066973
- new version: 2.0.1
- port to Qt5/Kf5
- add subpackage skanlite-handbook
- reintroduce skanlite as it is now ported to Qt5/Kf5
+ sander85 <sander85>
- Unmaintained and fails to build
+ danf <danf>
- Added missing BuildRequires: kdelibs4-devel

* Wed Oct 15 2014 umeabot <umeabot> 1.1-3.mga5
+ Revision: 740560
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-2.mga5
+ Revision: 689180
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 dams <dams> 1.1-1.mga5
+ Revision: 592469
- new version 1.1

* Sat Oct 19 2013 umeabot <umeabot> 1.0-3.mga4
+ Revision: 526472
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 fwang <fwang> 1.0-2.mga4
+ Revision: 436987
- rebuild for new libpng

* Sat Mar 02 2013 lmenut <lmenut> 1.0-1.mga3
+ Revision: 401119
- update to 1.0
- cleanup spec

* Mon Jan 14 2013 umeabot <umeabot> 0.9-3.mga3
+ Revision: 382112
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 lmenut <lmenut> 0.9-2.mga3
+ Revision: 344423
- add provides scanner-gui

* Fri Sep 21 2012 fwang <fwang> 0.9-1.mga3
+ Revision: 296504
- new version 0.9

* Sun Dec 25 2011 fwang <fwang> 0.8-1.mga2
+ Revision: 187368
- new version 0.8

* Sun Sep 18 2011 fwang <fwang> 0.7-3.mga2
+ Revision: 145041
- br libpng

* Wed Jun 29 2011 fwang <fwang> 0.7-2.mga2
+ Revision: 115970
- rebuild for kde 4.7

* Tue May 10 2011 mikala <mikala> 0.7-1.mga1
+ Revision: 96968
- imported package skanlite


* Wed Dec 01 2010 Funda Wang <fwang@mandriva.org> 0.7-1mdv2011.0
+ Revision: 604302
- update to new version 0.7

* Tue Nov 30 2010 Funda Wang <fwang@mandriva.org> 0.6-1mdv2011.0
+ Revision: 603282
- new version 0.6

* Sat Feb 13 2010 Funda Wang <fwang@mandriva.org> 0.4-1mdv2010.1
+ Revision: 505217
- new version 0.4

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 0.3-1mdv2010.0
+ Revision: 370591
- New version 0.3

* Sat Aug 09 2008 Funda Wang <fwang@mandriva.org> 0.2-2mdv2009.0
+ Revision: 270114
- remove old patch
- fix desktop file

* Tue Jul 29 2008 Funda Wang <fwang@mandriva.org> 0.2-1mdv2009.0
+ Revision: 252925
- New version 0.2

* Fri Jul 18 2008 Funda Wang <fwang@mandriva.org> 0.1-1mdv2009.0
+ Revision: 238143
- import skanlite


